// SimpleLiveViewerDlg.h : header file
//

#if !defined(AFX_SIMPLELIVEVIEWERDLG_H__13516C08_C91F_4A66_902B_6023F7D44CBC__INCLUDED_)
#define AFX_SIMPLELIVEVIEWERDLG_H__13516C08_C91F_4A66_902B_6023F7D44CBC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HttpInterface.h"
/////////////////////////////////////////////////////////////////////////////
// CSimpleLiveViewerDlg dialog

class CSimpleLiveViewerDlg : public CDialog
{
// Construction
public:
	CSimpleLiveViewerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSimpleLiveViewerDlg)
	enum { IDD = IDD_SIMPLELIVEVIEWER_DIALOG };
	CComboBox	m_ctrlUser;
	CString	m_strDVRIPAddress;
	CString	m_strPort;
	CString	m_strPassword;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimpleLiveViewerDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSimpleLiveViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnExit();
	afx_msg void OnClose();
	afx_msg void OnEditchangeComboUser();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CHttpInterface* m_pHttpInterface;
	void DVRConnect();
	CString m_strUser;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMPLELIVEVIEWERDLG_H__13516C08_C91F_4A66_902B_6023F7D44CBC__INCLUDED_)
